# FTP-Verzeichnisüberwachung


## Übersicht

Die SWE FTP-Verzeichnisüberwachung überwacht zyklisch Ordnerinhalte auf einem externen FTP-Server 
auf den Eingang von neuen, durch die SWE BASt-Band weiterzuverarbeitenden (importierenden) 
Dateien im BASt-Format (V2004 oder V2007). Sobald die SWE FTP-Verzeichnisüberwachung neue 
Dateien im zu überwachenden Verzeichnis erkennt, meldet sie dies der SWE BASt-Band über den 
Datenverteiler. Nach erfolgreicher Verarbeitung der Daten durch die SWE BASt-Band verschiebt 
die SWE FTP-Verzeichnisüberwachung die Daten in ein weiteres Verzeichnis mit bearbeiteten Dateien 
(Miniarchiv zur Nachverfolgbarkeit der Aktivitäten).

Bei den Importdateien handelt es sich um BAST-Daten im Format V2004 bzw. V2007 gemäß 
Definition der BASt.
(für die SWE FTP-Verzeichnisüberwachung ist das Format nicht relevant, für die SWE BASt-Band, 
welche letztlich die Daten verarbeitet, ist dies aber zwingend notwendig.)  

Diese Dateien werden i.d.R. durch externe Ingenieurbüros 
geliefert (aus den Zähldaten der Langzeitzählstellen).

Die zu überwachenden Verzeichnisse können über Aufrufparameter festgelegt werden. 
Weiterhin unterstützt werden die Überwachung von FTP- und SFTP-Servern sowie der 
Passivmodus bei der FTP-Übertragung und natürlich die Übertragung mit Authentifizierung.
Die nachfolgende Abbildung zeigt vereinfacht die Funktionsweise der SWE FTP-Verzeichnisüberwachung.
 

## Disclaimer

Copyright (C) 2018 inovat - Dipl.-Ing. H. C. Kniß

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Dieses Programm ist Freie Software: Sie können es unter den Bedingungen
der GNU General Public License, wie von der Free Software Foundation,
Version 3 der Lizenz oder (nach Ihrer Wahl) jeder neueren
veröffentlichten Version, weiterverbreiten und/oder modifizieren.

Dieses Programm wird in der Hoffnung, dass es nützlich sein wird, aber
OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
Siehe die GNU General Public License für weitere Details.

Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.

## Kontakt
                                                                             
inovat, Dipl.-Ing. H. C. Kniß                                                                     
An der Krautwiese 37                                                                                     
D-53783 Eitorf                                                                                       
+49 (0)2243 8464 193                                                                                 
info@inovat.de                                                                                        
www.inovat.de
